List flow executions
GET
Returns a paginated list of executions ordered by creation time.
BearerAuthheader
AuthorizationBearer <JWT>Admin token, API token issued via /api-tokens, or an OIDC JWT access token issued by the configured OIDC provider.
flow*stringFormat
uuidpageSize?integerThe number of results per page. Defaults to 20, maximum 100.
pageToken?stringCursor for pagination. Pass the nextPageToken from a previous response to retrieve the next page.
A paginated list of executions.
application/json- response
executions*array<>nextPageToken?stringCursor for the next page. Empty when no more results exist.
totalSize*integerTotal number of executions for this flow.
curl -X GET 'https://example.com/api/hub/flows/497f6eca-6276-4993-bfeb-53cbbbba6f08/executions'Example Response
{ "executions": [ { "name": "flows/550e8400-e29b-41d4-a716-446655440000/executions/660e8400-e29b-41d4-a716-446655440000", "status": "completed", "stdout": "string", "stderr": "string", "exitCode": 0, "duration": "3.5s", "createTime": "2019-08-24T14:15:22Z", "tracePath": "executions/660e8400-e29b-41d4-a716-446655440000/trace", "files": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "filename": "string", "uploadedBy": "1e2815fd-75c7-4289-86d5-2503daeb59b8", "createTime": "2019-08-24T14:15:22Z" } ] } ], "nextPageToken": "string", "totalSize": 10}